/* Test cases for #1953: add conversion support for CREATE BUFFER statement */

/* CREATE BUFFER h1 FOR TABLE table-handle | buffer-handle
   [ BUFFER-NAME buffer-name ]
   [ IN WIDGET-POOL widget-pool-name ] */

DEFINE VARIABLE h1 AS HANDLE NO-UNDO.
DEFINE VARIABLE h2 AS HANDLE NO-UNDO.
DEFINE VARIABLE h3 AS HANDLE NO-UNDO.
DEFINE VARIABLE h4 AS HANDLE NO-UNDO.
DEFINE VARIABLE h5 AS HANDLE NO-UNDO.
DEFINE VARIABLE h6 AS HANDLE NO-UNDO.
DEFINE VARIABLE h7 AS HANDLE NO-UNDO.
DEFINE VARIABLE h8 AS HANDLE NO-UNDO.

DEFINE VARIABLE hbuf AS HANDLE NO-UNDO. /* Default buffer object */
DEFINE VARIABLE htab AS HANDLE NO-UNDO. /* Temp-table object     */

DEFINE TEMP-TABLE tt1 NO-UNDO FIELD x AS CHARACTER.

hbuf = BUFFER     tt1:HANDLE.    /* Static temp-table’s default buffer    */
htab = TEMP-TABLE tt1:HANDLE.    /* Static temp-table handle (not buffer) */

CREATE BUFFER h1 FOR TABLE BUFFER tt1:HANDLE.
/* RecordBuffer.createBufferForTable(h1, tt1); */

CREATE BUFFER h2 FOR TABLE hbuf.
/* RecordBuffer.createBufferForTable(h2, hbuf); */

CREATE BUFFER h3 FOR TABLE BUFFER tt1:HANDLE BUFFER-NAME "buffer-for-h3".
/* RecordBuffer.createBufferForTable(h3, tt1, "buffer-for-h3"); */

CREATE BUFFER h4 FOR TABLE TEMP-TABLE tt1:HANDLE BUFFER-NAME "buffer-for-h" + STRING(4).
/* RecordBuffer.createBufferForTable(h4, tt1, concat("buffer-for-h", valueOf(4))); */

CREATE BUFFER h5 FOR TABLE BUFFER tt1:HANDLE IN WIDGET-POOL "p5".
/* RecordBuffer.createBufferForTable(h5, tt1, "p5"); */

CREATE BUFFER h6 FOR TABLE TEMP-TABLE tt1:HANDLE IN WIDGET-POOL "p" + STRING(6).
/* RecordBuffer.createBufferForTable(h6, tt1, concat("p", valueOf(6))); */

CREATE BUFFER h7 FOR TABLE BUFFER tt1:HANDLE BUFFER-NAME "buffer-for-h4" IN WIDGET-POOL "p7".
/* RecordBuffer.createBufferForTable(h7, tt1, "buffer-for-h4", "p7"); */

CREATE BUFFER h8 FOR TABLE hbuf BUFFER-NAME "buffer-for-h" + STRING(4) IN WIDGET-POOL "p" + STRING(8).
/* RecordBuffer.createBufferForTable(h8, hbuf, concat("buffer-for-h", valueOf(4)), concat("p", valueOf(8))); */

PAUSE.